<launch>

    <arg name="acquisition_type" />

    <!-- Start the endoscope cameras -->
    <include file="$(find decklink_ros)/launch/full.launch" />

    <!-- Start the realsense cameras -->
    <include file="$(find realsense2_camera)/launch/rs_rgbd.launch">
        <arg name="namespace" value="realsense" />
        <!-- <arg name="manager" value="camera_manager" /> -->
    </include>

    <node pkg="dvrk_ex_vivo_organ_dataset_tools"  type="dvrk_ex_vivo_dataset_tool" name="ex_vivo_dataset_capture"
          output="screen" required="true">
        <remap from="/endoscope/left/image_raw" to="/endoscope/left/raw/image_raw" />
        <remap from="/endoscope/right/image_raw" to="/endoscope/right/raw/image_raw" />
        
        <remap from="motion_completed" to="/ecm_controller/motion_complete" />
        <remap from="acquisition_completed" to="/ecm_controller/acquisition_complete" />

        <param name="acquisition_type" value="$(arg acquisition_type)" />
    </node>


</launch>
